/*
 * $Id: DOMTextImpl.java,v 1.1 2005/11/03 09:41:47 sugimotokenichi Exp $
 * Copyright (C) 2005 SUGIMOTO Ken-ichi
 * 作成日: 2005/10/30
 */
package feat.v1.impl.template;

import org.w3c.dom.DOMException;
import org.w3c.dom.Text;

/**
 * DOM APIのTextの実装。
 * @author SUGIMOTO Ken-ichi
 */
public class DOMTextImpl extends DOMCharacterDataImpl implements Text {

    public DOMTextImpl(HTMLNodeImpl htmlNode) {
        super(htmlNode);
    }

    public String getLocalName() {
        return "#text";
    }

    public String getNodeName() {
        return "#text";
    }

    public Text splitText(int offset) throws DOMException {
        throw new DOMException(DOMException.NO_MODIFICATION_ALLOWED_ERR, "");
    }

}
